-- Copyright (C) 1991-2013 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- PROGRAM		"Quartus II 32-bit"
-- VERSION		"Version 13.0.1 Build 232 06/12/2013 Service Pack 1 SJ Web Edition"
-- CREATED		"Wed Nov 09 14:12:48 2016"

LIBRARY ieee;
USE ieee.std_logic_1164.all; 

LIBRARY work;

ENTITY Adder IS 
	PORT
	(
		Cin :  IN  STD_LOGIC;
		A :  IN  STD_LOGIC_VECTOR(31 DOWNTO 0);
		B :  IN  STD_LOGIC_VECTOR(31 DOWNTO 0);
		Cout :  OUT  STD_LOGIC;
		Sinal :  OUT  STD_LOGIC;
		S :  OUT  STD_LOGIC_VECTOR(31 DOWNTO 0)
	);
END Adder;

ARCHITECTURE bdf_type OF Adder IS 

COMPONENT meu_7483
	PORT(C0 : IN STD_LOGIC;
		 A1 : IN STD_LOGIC;
		 B1 : IN STD_LOGIC;
		 A2 : IN STD_LOGIC;
		 B2 : IN STD_LOGIC;
		 A3 : IN STD_LOGIC;
		 B3 : IN STD_LOGIC;
		 A4 : IN STD_LOGIC;
		 B4 : IN STD_LOGIC;
		 S1 : OUT STD_LOGIC;
		 S2 : OUT STD_LOGIC;
		 S3 : OUT STD_LOGIC;
		 S4 : OUT STD_LOGIC;
		 C4 : OUT STD_LOGIC
	);
END COMPONENT;

SIGNAL	S_ALTERA_SYNTHESIZED0 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED1 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED10 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED11 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED12 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED126 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED127 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED13 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED14 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED15 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED16 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED17 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED18 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED19 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED2 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED20 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED21 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED22 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED23 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED24 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED25 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED26 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED27 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED28 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED29 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED3 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED30 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED31 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED4 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED5 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED6 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED7 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED8 :  STD_LOGIC;
SIGNAL	S_ALTERA_SYNTHESIZED9 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_0 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_1 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_2 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_3 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_4 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_5 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_6 :  STD_LOGIC;


BEGIN 



b2v_inst10 : meu_7483
PORT MAP(C0 => SYNTHESIZED_WIRE_0,
		 A1 => A(4),
		 B1 => B(4),
		 A2 => A(5),
		 B2 => B(5),
		 A3 => A(6),
		 B3 => B(6),
		 A4 => A(7),
		 B4 => B(7),
		 S1 => S_ALTERA_SYNTHESIZED4,
		 S2 => S_ALTERA_SYNTHESIZED5,
		 S3 => S_ALTERA_SYNTHESIZED6,
		 S4 => S_ALTERA_SYNTHESIZED7,
		 C4 => SYNTHESIZED_WIRE_1);


b2v_inst11 : meu_7483
PORT MAP(C0 => SYNTHESIZED_WIRE_1,
		 A1 => A(8),
		 B1 => B(8),
		 A2 => A(9),
		 B2 => B(9),
		 A3 => A(10),
		 B3 => B(10),
		 A4 => A(11),
		 B4 => B(11),
		 S1 => S_ALTERA_SYNTHESIZED8,
		 S2 => S_ALTERA_SYNTHESIZED9,
		 S3 => S_ALTERA_SYNTHESIZED10,
		 S4 => S_ALTERA_SYNTHESIZED11,
		 C4 => SYNTHESIZED_WIRE_2);


b2v_inst12 : meu_7483
PORT MAP(C0 => SYNTHESIZED_WIRE_2,
		 A1 => A(12),
		 B1 => B(12),
		 A2 => A(13),
		 B2 => B(13),
		 A3 => A(14),
		 B3 => B(14),
		 A4 => A(15),
		 B4 => B(15),
		 S1 => S_ALTERA_SYNTHESIZED12,
		 S2 => S_ALTERA_SYNTHESIZED13,
		 S3 => S_ALTERA_SYNTHESIZED14,
		 S4 => S_ALTERA_SYNTHESIZED15,
		 C4 => SYNTHESIZED_WIRE_3);

Sinal <= S_ALTERA_SYNTHESIZED31;



b2v_inst5 : meu_7483
PORT MAP(C0 => SYNTHESIZED_WIRE_3,
		 A1 => A(16),
		 B1 => B(16),
		 A2 => A(17),
		 B2 => B(17),
		 A3 => A(18),
		 B3 => B(18),
		 A4 => A(19),
		 B4 => B(19),
		 S1 => S_ALTERA_SYNTHESIZED16,
		 S2 => S_ALTERA_SYNTHESIZED17,
		 S3 => S_ALTERA_SYNTHESIZED18,
		 S4 => S_ALTERA_SYNTHESIZED19,
		 C4 => SYNTHESIZED_WIRE_4);


b2v_inst6 : meu_7483
PORT MAP(C0 => SYNTHESIZED_WIRE_4,
		 A1 => A(20),
		 B1 => B(20),
		 A2 => A(21),
		 B2 => B(21),
		 A3 => A(22),
		 B3 => B(22),
		 A4 => A(23),
		 B4 => B(23),
		 S1 => S_ALTERA_SYNTHESIZED20,
		 S2 => S_ALTERA_SYNTHESIZED21,
		 S3 => S_ALTERA_SYNTHESIZED22,
		 S4 => S_ALTERA_SYNTHESIZED23,
		 C4 => SYNTHESIZED_WIRE_5);


b2v_inst7 : meu_7483
PORT MAP(C0 => SYNTHESIZED_WIRE_5,
		 A1 => A(24),
		 B1 => B(24),
		 A2 => A(25),
		 B2 => B(25),
		 A3 => A(26),
		 B3 => B(26),
		 A4 => A(27),
		 B4 => B(27),
		 S1 => S_ALTERA_SYNTHESIZED24,
		 S2 => S_ALTERA_SYNTHESIZED25,
		 C4 => SYNTHESIZED_WIRE_6);


b2v_inst8 : meu_7483
PORT MAP(C0 => SYNTHESIZED_WIRE_6,
		 A1 => A(28),
		 B1 => B(28),
		 A2 => A(29),
		 B2 => B(29),
		 A3 => A(30),
		 B3 => B(30),
		 A4 => A(31),
		 B4 => B(31),
		 S1 => S_ALTERA_SYNTHESIZED28,
		 S2 => S_ALTERA_SYNTHESIZED29,
		 S3 => S_ALTERA_SYNTHESIZED30,
		 S4 => S_ALTERA_SYNTHESIZED31,
		 C4 => Cout);


b2v_inst9 : meu_7483
PORT MAP(C0 => Cin,
		 A1 => A(0),
		 B1 => B(0),
		 A2 => A(1),
		 B2 => B(1),
		 A3 => A(2),
		 B3 => B(2),
		 A4 => A(3),
		 B4 => B(3),
		 S1 => S_ALTERA_SYNTHESIZED0,
		 S2 => S_ALTERA_SYNTHESIZED1,
		 S3 => S_ALTERA_SYNTHESIZED2,
		 S4 => S_ALTERA_SYNTHESIZED3,
		 C4 => SYNTHESIZED_WIRE_0);

S(31) <= S_ALTERA_SYNTHESIZED31;
S(30) <= S_ALTERA_SYNTHESIZED30;
S(29) <= S_ALTERA_SYNTHESIZED29;
S(28) <= S_ALTERA_SYNTHESIZED28;
S(27) <= S_ALTERA_SYNTHESIZED27;
S(26) <= S_ALTERA_SYNTHESIZED26;
S(25) <= S_ALTERA_SYNTHESIZED25;
S(24) <= S_ALTERA_SYNTHESIZED24;
S(23) <= S_ALTERA_SYNTHESIZED23;
S(22) <= S_ALTERA_SYNTHESIZED22;
S(21) <= S_ALTERA_SYNTHESIZED21;
S(20) <= S_ALTERA_SYNTHESIZED20;
S(19) <= S_ALTERA_SYNTHESIZED19;
S(18) <= S_ALTERA_SYNTHESIZED18;
S(17) <= S_ALTERA_SYNTHESIZED17;
S(16) <= S_ALTERA_SYNTHESIZED16;
S(15) <= S_ALTERA_SYNTHESIZED15;
S(14) <= S_ALTERA_SYNTHESIZED14;
S(13) <= S_ALTERA_SYNTHESIZED13;
S(12) <= S_ALTERA_SYNTHESIZED12;
S(11) <= S_ALTERA_SYNTHESIZED11;
S(10) <= S_ALTERA_SYNTHESIZED10;
S(9) <= S_ALTERA_SYNTHESIZED9;
S(8) <= S_ALTERA_SYNTHESIZED8;
S(7) <= S_ALTERA_SYNTHESIZED7;
S(6) <= S_ALTERA_SYNTHESIZED6;
S(5) <= S_ALTERA_SYNTHESIZED5;
S(4) <= S_ALTERA_SYNTHESIZED4;
S(3) <= S_ALTERA_SYNTHESIZED3;
S(2) <= S_ALTERA_SYNTHESIZED2;
S(1) <= S_ALTERA_SYNTHESIZED1;
S(0) <= S_ALTERA_SYNTHESIZED0;

END bdf_type;